Bug 148069 - [MAINTAINER] devel/monotone: update to 0.48
Summary: [MAINTAINER] devel/monotone: update to 0.48
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-22 16:40 UTC by Lapo Luchini
Modified: 2010-06-29 10:19 UTC (History)
1 user (show)

See Also:


Attachments
monotone-0.48.patch (2.78 KB, patch)
2010-06-22 16:40 UTC, Lapo Luchini
no flags Details | Diff
mtn-0.4.8-patch2.diff (7.18 KB, patch)
2010-06-28 11:41 UTC, Lapo Luchini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lapo Luchini 2010-06-22 16:40:05 UTC
- Update to 0.48
- Added LICENSE

Generated with FreeBSD Port Tools 0.99
Comment 1 Ashish SHUKLA freebsd_committer 2010-06-24 17:13:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ashish

I'll take it.
Comment 2 Lapo Luchini 2010-06-25 19:26:25 UTC
I'm ok with that, thanks.
Comment 3 Ashish SHUKLA freebsd_committer 2010-06-26 11:06:28 UTC
Hi Lapo,

Got an error building the devel/monotone port submitted by you.

#v+
=== Checking filesystem state
list of extra files and directories in / (not present before this port was installed but present after it was deinstalled)
1092482     1285 -r--r--r--    1 root             wheel              648348 Jun 26 07:31 usr/local/info/monotone.info
Deleting sqlite3-3.6.23.1_1
Deleting perl-5.10.1_1
Removing stale symlinks from /usr/bin...
    Removing /usr/bin/perl
    Removing /usr/bin/perl5
Done.
#v-

Build log is available at: http://people.freebsd.org/~ashish/logs/monotone-0.48.log

HTH
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

They who can give up essential liberty to obtain a little temporary safety,
deserve neither liberty nor safety.
  -- Benjamin Franklin, Memoirs of the life and writings of Benjamin Franklin
Comment 4 Lapo Luchini 2010-06-28 11:26:22 UTC
That's real strange, as I had the port tested with various options using
porttools and ale@ ran a test for it on our local tinderbox too.
Comment 5 Lapo Luchini 2010-06-28 11:41:08 UTC
OK, I found the culprit, the Makefile.in line was split on two lines,
and a range of lines is now needed in the `sed`.

 .if defined(NO_INSTALL_MANPAGES)
-        ${REINPLACE_CMD} -e '/^install-data-am:/s/ install-info-am//'
${WRKSRC}/Makefile.in
+        ${REINPLACE_CMD} -e '/^install-data-am:/,/^$$/s/
install-info-am//' ${WRKSRC}/Makefile.in
 .endif

I attach the full patch, which should include all(?) of your changes.
Comment 6 Ashish SHUKLA freebsd_committer 2010-06-28 13:47:10 UTC
=2D----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Hi Lapo,

Lapo Luchini writes:
> OK, I found the culprit, the Makefile.in line was split on two lines,
> and a range of lines is now needed in the `sed`.

>  .if defined(NO_INSTALL_MANPAGES)
> -        ${REINPLACE_CMD} -e '/^install-data-am:/s/ install-info-am//'
> ${WRKSRC}/Makefile.in
> +        ${REINPLACE_CMD} -e '/^install-data-am:/,/^$$/s/
> install-info-am//' ${WRKSRC}/Makefile.in
>  .endif

> I attach the full patch, which should include all(?) of your changes.

> diff -ruN --exclude=3DCVS /usr/ports/devel/monotone/Makefile /usr/home/la=
po/ports/monotone/Makefile

[...]

> diff -ruN --exclude=3DCVS /usr/ports/devel/monotone/mtn-0.4.8-patch2.diff=
 /usr/home/lapo/ports/monotone/mtn-0.4.8-patch2.diff
> --- /usr/ports/devel/monotone/mtn-0.4.8-patch2.diff	1970-01-01 01:00:00.0=
00000000 +0100
> +++ /usr/home/lapo/ports/monotone/mtn-0.4.8-patch2.diff	2010-06-28 12:40:=
51.000000000 +0200

Your diff contains another diff file of the same name, looks like you forgot
to clean up directory before generating diff.

Can you regenerate and send it ?

Thanks
=2D --=20
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

They who can give up essential liberty to obtain a little temporary safety,
deserve neither liberty nor safety.
  -- Benjamin Franklin, Memoirs of the life and writings of Benjamin Frankl=
in
=2D----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.15 (FreeBSD)

iQIcBAEBCgAGBQJMKJnPAAoJEMdGz6nnT6SwXkMP/iYWQzyFbpcuJiVYteW66jLL
FvKQ+CMZib3bQaRWqF7ioRZZtQCbZl/2QoqczxOQkkKB5bOwUUqi1aLxKHT2vFOZ
14W/djTavRz0l/ZKcQ2P8g7rSxTW4vDOGEKNHmGJZqVySwUIGIM+Fi3qDK7mmC7T
G+uwjWV9+62HbQOl26yfEgZlds1VDGVoUEVcwHqk+TcPtG0TJdraphmFRPPZzYBA
V1h87Dz/GdKNEEoUAB+aS6YgPP8OEAfZxYu3PYrpOLrreb40izxsmc+pgk561weh
1m7/fObRWjPmdSRFF1V/ig9/JMnkQmzpV7v83+p1yRwSL2N+8GgMU3K3wz36O6NC
TJLTvuqKxSuY4Zu9BzsHowl06wLMbKAhZFLuWnaoJ8hfhkDILPJP6XxmP8iGIy82
ELooIQ7Jbe9195zEU93qvUpBDZ6ELqdZYMNV9cGhTTxYq5lcE3MAksX/m6Wfmcj8
8dbfZQkeqConR5sAWENVXVkYk7p/OUu9HcBRRU1qs58d2178rUHtpmdbti6OdE/A
b1s4OU2Q4IvMmKraRuwr3zD4xouWrZCfm4CCLB8lbwmAGp3bz52J9+hlnsXoWs0T
5/CFgFtBblpeZ4DKep7VX1vW0ae3PLa6sAw8t6qxs3nE0M4X9RdP7oaFMV2sM6uJ
JUdpe2vGT2dFkfwGy7HE
=3D1zCe
=2D----END PGP SIGNATURE-----
Comment 7 Lapo Luchini 2010-06-28 13:57:00 UTC
This is a multi-part message in MIME format.
Comment 8 Ashish SHUKLA freebsd_committer 2010-06-28 14:31:29 UTC
Hi Lapo,

Lapo Luchini writes:
> Patch now generated out-of-tree to avoid problems.


This diff failed to solve the issue.

#v+
Deleting pkg-config-0.23_1
Deleting libiconv-1.13.1_1

=== Checking filesystem state after all packages deleted
================================================================
list of extra files and directories in / (not present on clean system but present after everything was deinstalled)
256030        1 -r--r--r--    1 root             wheel              648348 Jun 28 13:25 usr/local/info/monotone.info
================================================================
build of /usr/ports/devel/monotone ended at Mon Jun 28 13:25:43 UTC 2010
#v-

The build log is available at:
http://people.freebsd.org/~ashish/logs/monotone-0.48.log

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

They who can give up essential liberty to obtain a little temporary safety,
deserve neither liberty nor safety.
  -- Benjamin Franklin, Memoirs of the life and writings of Benjamin Franklin
Comment 9 dfilter service freebsd_committer 2010-06-29 10:07:12 UTC
ashish      2010-06-29 09:07:03 UTC

  FreeBSD ports repository

  Modified files:
    devel/monotone       Makefile distinfo 
  Log:
  - Update port to 0.48.
  - Add LICENSE information.
  
  PR:             ports/148069
  Submitted by:   Lapo Luchini <lapo@lapo.it> (maintainer)
  Approved by:    tabthorpe (mentor)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.48      +12 -12    ports/devel/monotone/Makefile
  1.29      +3 -3      ports/devel/monotone/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Ashish SHUKLA freebsd_committer 2010-06-29 10:19:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!